aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDundar Goc <gocdundar@gmail.com>2022-07-11 16:40:49 +0200
committerDundar Goc <gocdundar@gmail.com>2022-07-11 17:16:55 +0200
commitd77ec8a5c6d76d5bd78490474dcc238ab8fc7b40 (patch)
treed44a8c9a3f10b7f1a28749d85be715a8bc873ebd
parentbb1a464467aefb443d4461e4d75cf0fc4283b461 (diff)
downloadrneovim-d77ec8a5c6d76d5bd78490474dcc238ab8fc7b40.tar.gz
rneovim-d77ec8a5c6d76d5bd78490474dcc238ab8fc7b40.tar.bz2
rneovim-d77ec8a5c6d76d5bd78490474dcc238ab8fc7b40.zip
ci: remove unnecessary file ci/script.sh
It only runs run_tests.sh and checks coverage, which can be replaced by just moving the coverage check to ci/run_tests.sh.
-rwxr-xr-xci/run_tests.sh6
-rwxr-xr-xci/script.sh12
2 files changed, 6 insertions, 12 deletions
diff --git a/ci/run_tests.sh b/ci/run_tests.sh
index 23460b682e..da72d09506 100755
--- a/ci/run_tests.sh
+++ b/ci/run_tests.sh
@@ -33,3 +33,9 @@ for i in "${tests[@]}"; do
done
end_tests
+
+if [[ -s "${GCOV_ERROR_FILE}" ]]; then
+ echo '=== Unexpected gcov errors: ==='
+ cat "${GCOV_ERROR_FILE}"
+ exit 1
+fi
diff --git a/ci/script.sh b/ci/script.sh
deleted file mode 100755
index be01b045f7..0000000000
--- a/ci/script.sh
+++ /dev/null
@@ -1,12 +0,0 @@
-#!/usr/bin/env bash
-
-set -e
-set -o pipefail
-
-ci/run_tests.sh
-
-if [[ -s "${GCOV_ERROR_FILE}" ]]; then
- echo '=== Unexpected gcov errors: ==='
- cat "${GCOV_ERROR_FILE}"
- exit 1
-fi